Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<I>
              org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableService>
                  org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  UDA10DeviceDescriptorBinderSAXImpl

    protected static class UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler

extends UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableService>

Field Summary
`static Descriptor.Device.ELEMENT` | `EL`

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Constructor Summary
`UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler(MutableService instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

Method Summary
`void` | `endElement(Descriptor.Device.ELEMENT element)`
`boolean` | `isLastElement(Descriptor.Device.ELEMENT element)`

Methods inherited from class org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler
`endElement, isLastElement, startElement, startElement`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EL

    public static final Descriptor.Device.ELEMENT EL

Constructor Detail

### UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler

    public UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler(MutableService instance,
                                                             UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

Method Detail

### endElement

    public void endElement(Descriptor.Device.ELEMENT element)
                    throws SAXException

  Overrides:
    `endElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableService>`
  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(Descriptor.Device.ELEMENT element)

  Overrides:
    `isLastElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableService>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.